Actions

J2.5

Difference between revisions of "Php Fatal Error in 2.5.15"

From Joomla! Documentation

(Created page with "A fatal error has been found in Joomla 2.5.15, when used with PHP 5.2. ==Versions affected== {{refers_to|2.5.15}} ==What is the cause== This is because you now must also loa...")
 
Line 5: Line 5:
  
 
==What is the cause==
 
==What is the cause==
This is because you now must also load the legacy and cms libraries in order to work with JTable.
+
A non-PHP 5.2 compatible function was used in the JHttp class.
  
 
==How to fix==
 
==How to fix==

Revision as of 16:17, 6 November 2013

A fatal error has been found in Joomla 2.5.15, when used with PHP 5.2.

Versions affected

Info non-talk.png
General Information

This pertains only to Joomla! version(s):- 2.5.15


What is the cause

A non-PHP 5.2 compatible function was used in the JHttp class.

How to fix

If you haven't upgraded already, please wait as 2.5.16 will be released soon to fix this. Else apply the fix in this patch: https://github.com/joomla/joomla-cms/commit/8e43c9fc838c22df01cae134f85618dde9518cbb